
import org.newdawn.slick.opengl.Texture;

import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;

public class LevelSelect implements Level {
	Button buttonlvl1;
	Button buttonlvl2;
	Button buttonlvl3;
	Texture background;
	
	public LevelSelect(){
		buttonlvl1 = new Button(300, 300, 1,"1");
		buttonlvl2 = new Button(350, 300, 2,"2");
		buttonlvl3 = new Button(400, 300, 3,"3");
		
	}
	@Override
	public void init() {
		buttonlvl1.init();
		buttonlvl2.init();
		buttonlvl3.init();
		background = QuickLoadTexture("LavaJavaSplashScreen");
	}

	@Override
	public void render() {
		DrawQuadTex(background, 0,0, 1100, 1100);
		buttonlvl1.render();
		buttonlvl2.render();
		buttonlvl3.render();
	}

}
