


import java.awt.Font;

import org.lwjgl.opengl.Display;
import org.newdawn.slick.Color;
import org.newdawn.slick.TrueTypeFont;
import org.newdawn.slick.opengl.Texture;

import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;

public class LevelWon implements Level {
private int nullMap[][]= {{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,1,1,1,1,1,1,1,1,1,1,1}};
private Texture winScreen;
private Button backButton;
Player p;
Map m = new Map(nullMap);
private String score;
TrueTypeFont font;
private ScoreBox sb;
private int renders;


public LevelWon() {
	backButton = new Button(Display.getWidth()-32, 0, 0, "B");
	p= new Player(m, Display.getWidth()/2, Display.getHeight()/2);
	sb = new ScoreBox();
	renders = 0;
	
}
	@Override
	public void init() {
		m.buildMap();
		winScreen = QuickLoadTexture("GameWon");
		backButton.init();
		p.init();
		sb.init();
		Font awtFont = new Font("Comic Sans MS", Font.BOLD, 20);
		font = new TrueTypeFont(awtFont, false);
	}

	@Override
	public void render() {
		DrawQuadTex(winScreen, 0, 0, 1023, 1023); //1100
		backButton.render();
		p.render();
		p.move();
		if (renders == 0){
			renders++;
			score = sb.getScore();
			
		}
		font.drawString(275,  300, "FINAL SCORE:  " + score, Color.white);
	}


}
